Bug 823403 - log-level inputs are case sensitive
log-level inputs are case sensitive
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: logging (Show other bugs)
mainline
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 03:30 EDT by Anush Shetty
Modified: 2013-12-18 19:08 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:15:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2012-05-21 03:30:19 EDT
Description of problem: Currently, the log level input is case sensitive. It would be good to make it case insensitive




Version-Release number of selected component (if applicable): Upstream


How reproducible: N/A


Steps to Reproduce:
1.
2.
3.
  
Actual results:

mount -t glusterfs -o log-level=debug ec2-50-112-27-254.us-west-2.compute.amazonaws.com:/distrep1 /mnt
invalid log level debug, using INFO
Comment 1 Gowrishankar Rajaiyan 2012-05-28 03:24:39 EDT
[root@dhcp201-154 ~]# mount -t glusterfs -o log-level=debug dhcp201-181.englab.pnq.redhat.com:test1 /tmp/test1
invalid log level debug, using INFO
[root@dhcp201-154 ~]# 


Tested in version: glusterfs-server-3.3.0qa43-1.el6.x86_64
Comment 2 Amar Tumballi 2012-05-30 02:08:46 EDT
Not going to fix it in release-3.3 branch, unless there is a absolute need. Hence this is present only in master branch. Will be able to test with a 'git pull' of master branch.
Comment 3 Amar Tumballi 2012-06-01 02:53:55 EDT
the bug fix is only in upstream, not in release-3.3. Hence moving it out of the ON_QA, and setting MODIFIED (as a standard practice @ Red Hat)

Note You need to log in before you can comment on or make changes to this bug.